
proc usage args {
    puts ""
    puts "Usage: vripholefill <initial_vrip_file> <output_vrip_file> \[iterations\]"
    puts "           iterations defaults to 1"
    puts ""
    exit
}

# Print usage if necessary...
if {$argc < 2 || [lindex $argv 0] == "-h"} {
    usage
}

# Check iterations param
if {$argc < 3} {
    set iter 1
} else {
    set iter [lindex $argv 2]
}

set outGridFile [lindex $argv 1]
set gridFile [lindex $argv 0]

# Check for valid argument
if {![file isfile $gridFile]} {
    puts stderr "Error:  Could not open grid file: $gridFile"
    usage
}

puts -nonewline "Reading occupancy grid..."
readgrid $gridFile
puts "done."

for {set index 0} {$index < $iter} {incr index} {
    puts "Starting iteration $index"
    vrip_muckWithVol
}

puts "Done hole filling, now saving $outGridFile"
vrip_writegrid $outGridFile
exit